- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# PaintLayerScanComponent Class Reference

Search for all occurrences

## Detailed Description

This class represents the paint layer scanner component. This component simply samples a paint layer over the source surface.

Examples:

  MeshDisplace/displacer.cpp.

Definition at line 232 of file MapExtractorAPI.h.

`#include <MapExtractorAPI.h>`

Inheritance diagram for PaintLayerScanComponent:
[legend]

List of all members.

## Public Member Functions
QString | ChannelName (void) const
| Returns the name of the paint channel to be scanned.
void | SetChannelName (const QString &sChannelName)
| Sets the name of the paint channel to be scanned.
int | LayerIndex (void) const
| Returns the index of the layer inside the paint channel to be scanned.
void | SetLayerIndex (int iIndex)
| Sets the index of the layer inside the paint channel to be scanned.

## Member Function Documentation

QString ChannelName | ( | void |  | ) | const

Search for all occurrences

Returns the name of the paint channel to be scanned.

This must be one of the following:

- Diffuse
- Specular
- Gloss
- Incandescence
- Opacity
- Vector Displacement Map
- Bump Map
- Normal Map
- Reflection Mask

void SetChannelName | ( | const QString & | sChannelName | ) |

Search for all occurrences

Sets the name of the paint channel to be scanned.

This must be one of the following:

- Diffuse
- Specular
- Gloss
- Incandescence
- Opacity
- Vector Displacement Map
- Bump Map
- Normal Map
- Reflection Mask

Examples:
  MeshDisplace/displacer.cpp.

int LayerIndex | ( | void |  | ) | const

Search for all occurrences

Returns the index of the layer inside the paint channel to be scanned.

void SetLayerIndex | ( | int | iIndex | ) |

Search for all occurrences

Sets the index of the layer inside the paint channel to be scanned.

Examples:
  MeshDisplace/displacer.cpp.

The documentation for this class was generated from the following file:

- MapExtractorAPI/MapExtractorAPI.h

PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent
PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent PaintLayerScanComponent